<!DOCTYPE html>
<html lang="en-US" dir="ltr">
  <head>
    <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
    <meta charset="utf-8">
    <meta name="theme-color" content="#2a400c">
    <title>Messages</title>
    <link rel="stylesheet" type="text/css" href="app://theme.gaiamobile.org/shared/elements/gaia-theme/gaia-theme.css">
    <!--App Style root.css-->
    <link rel="stylesheet" type="text/css" href="style/root.css">
    <!-- Stable Building blocks -->
    <link rel="stylesheet" type="text/css" href="shared/style/action_menu.css">
    <link rel="stylesheet" type="text/css" href="shared/style/option_menu.css">
    <link rel="stylesheet" type="text/css" href="shared/style/confirm.css">
    <link rel="stylesheet" type="text/css" href="shared/style/edit_mode.css">
    <link rel="stylesheet" type="text/css" href="shared/style/input_areas.css">
    <link rel="stylesheet" type="text/css" href="shared/style/switches.css">
    <link rel="stylesheet" type="text/css" href="shared/style/lists.css">
    <link rel="stylesheet" type="text/css" href="shared/style/progress_activity.css">
    <link rel="stylesheet" type="text/css" href="shared/elements/gaia-icons/gaia-icons.css">
    <link rel="stylesheet" type="text/css" href="shared/elements/gaia-theme/gaia-font.css">

    <!-- App styles -->
    <link rel="stylesheet" type="text/css" href="style/common.css">
    <link rel="stylesheet" type="text/css" href="style/sms.css">
    <link rel="stylesheet" type="text/css" href="style/message.css">
    <link rel="stylesheet" type="text/css" href="style/notification.css">
    <link rel="stylesheet" type="text/css" href="style/report_view.css">
    <link rel="stylesheet" type="text/css" href="style/attachment.css">
    <link rel="stylesheet" type="text/css" href="style/composer.css">
    <link rel="stylesheet" type="text/css" href="style/settings.css">

    <!-- Localization -->
    <meta name="defaultLanguage" content="en-US">
    <meta name="availableLanguages" content="af:201809261549, sq-AL:201809261549, ar:201809261549, hy-AM:201809261549, az-Latn-AZ:201809261549, be-BY:201809261549, bn-BD:201809261549, bn:201809261549, bs-BA:201809261549, bg-BG:201809261549, zh-CN:201809261549, zh-HK:201809261549, zh-TW:201809261549, hr-HR:201809261549, cs-CZ:201809261549, da-DK:201809261549, nl:201809261549, en-GB:201809261549, en-US:201809261549, et-EE:201809261549, fi-FI:201809261549, fr-CA:201809261549, fr:201809261549, ka-GE:201809261549, de:201809261549, el-GR:201809261549, he-IL:201809261549, hi:201809261549, hu:201809261549, is-IS:201809261549, id:201809261549, it:201809261549, kk-KZ:201809261549, km-KH:201809261549, ko-KR:201809261549, lo-LA:201809261549, lv-LV:201809261549, it-LT:201809261549, mk-MK:201809261549, ms:201809261549, mo-RO:201809261549, ne:201809261549, nb-NO:201809261549, fa-IR:201809261549, pl:201809261549, pt-BR:201809261549, pt-PT:201809261549, ps-AF:201809261549, ro:201809261549, ru:201809261549, sr-Latn-CS:201809261549, si-LK:201809261549, sk-SK:201809261549, sl-SI:201809261549, es:201809261549, es-US:201809261549, sw:201809261549, sv-SE:201809261549, fil-PH:201809261549, ta:201809261549, th:201809261549, tr:201809261549, uk-UA:201809261549, ur:201809261549, uz-Cyrl-UZ:201809261549, vi:201809261549, xh-ZA:201809261549, zu:201809261549">
    <link rel="localization" href="/locales-obj/{locale}.json">
    
    
    
    <!-- Firefox Desktop shims -->
    
    
    
    
    
    <!-- Web Components -->
    <script src="shared/elements/config.js"></script>
    <script src="shared/elements/gaia-header/dist/gaia-header.js"></script>
    <!--
    <script defer src="shared/js/component_utils.js"></script>
    <script defer src="shared/elements/gaia_confirm/script.js"></script>
    -->
    <!-- Shared code -->
    <script defer="" src="shared/js/l10n.js"></script>
    <script defer="" src="shared/js/l10n_date.js"></script>
    <!-- Should be removed while gecko support navigator.mozHour12 API -->
    <!--<script defer src="shared/js/date_time_helper.js"></script>-->
    <!--<script defer src="shared/js/template.js"></script>-->
    <!--<script defer src="shared/js/performance_testing_helper.js"></script>-->
    <!--<script defer src="shared/js/async_storage.js"></script>-->
    <!--<script defer src="shared/js/sticky_header.js"></script>-->
    <!--<script defer src="shared/js/contact_photo_helper.js"></script>-->
    <!--<script defer src="shared/js/fb/fb_request.js"></script>-->
    <!--<script defer src="shared/js/fb/fb_data_reader.js"></script>-->
    <!--<script defer src="shared/js/fb/fb_reader_utils.js"></script>-->
    <!--<script defer src="js/navigation.js"></script>-->
    <!--<script defer src="js/iac/event_dispatcher.js"></script>-->
    <!--<script defer src="js/time_headers.js"></script>-->
    <!--<script defer src="js/contacts.js"></script>-->
    <!--<script defer src="js/drafts.js"></script>-->
    <!--<script defer src="js/threads.js"></script>-->
    <!--<script defer src="js/utils.js"></script>-->
    <!--<script defer src="js/thread_list_ui.js"></script>-->
    <!--<script defer src="js/settings.js"></script>-->
    <!--<script defer src="js/selectItem.js"></script>-->
    <!--<script defer src="js/message_manager.js"></script>-->
    <!--<script defer src="js/app.js"></script>-->
    <!--<script defer src="js/cache.js"></script>-->
    <script src="shared/js/lazy_loader.js"></script>
    <script src="js/event_dispatcher.js"></script>
    <script src="js/cache_restore.js"></script>
    <!-- Lazy load scripts
    <script defer src="shared/js/notification_helper.js"></script>
    <script defer src="shared/js/gesture_detector.js"></script>
    <script defer src="shared/js/settings_url.js"></script>
    <script defer src="shared/js/mime_mapper.js"></script>
    <script defer src="shared/js/mobile_operator.js"></script>
    <script defer src="shared/js/settings_listener.js"></script>
    <script defer src="shared/js/option_menu.js"></script>
    <script defer src="shared/js/image_utils.js"></script>
    <script defer src="shared/js/dialer/telephony_helper.js"></script>
    <script defer src="shared/js/dialer/telephony_messages.js"></script>
    <script defer src="shared/js/icc_helper.js"></script>
    <script defer src="shared/js/confirm.js"></script>
    <script defer src="js/iac/shared_worker.js"></script>
    <script defer src="js/errors.js"></script>
    <script defer src="js/shared_components.js"></script>
    <script defer src="js/dialog.js"></script>
    <script defer src="js/error_dialog.js"></script>
    <script defer src="js/task_runner.js"></script>
    <script defer src="js/silent_sms.js"></script>
    <script defer src="js/recipients.js"></script>
    <script defer src="js/attachment.js"></script>
    <script defer src="js/attachment_renderer.js"></script>
    <script defer src="js/attachment_menu.js"></script>
    <script defer src="js/thread_ui.js"></script>
    <script defer src="js/subject_composer.js"></script>
    <script defer src="js/compose.js"></script>
    <script defer src="js/waiting_screen.js"></script>
    <script defer src="js/activity_picker.js"></script>
    <script defer src="js/wbmp.js"></script>
    <script defer src="js/smil.js"></script>
    <script defer src="js/link_helper.js"></script>
    <script defer src="js/notify.js"></script>
    <script defer src="js/activity_handler.js"></script>
    <script defer src="js/contact_renderer.js"></script>
    <script defer src="js/information.js"></script>
    <script defer src="js/confirm_dialog_helper.js"></script>
    -->
    <!-- SoftKeybar support -->
    <link rel="stylesheet" type="text/css" href="shared/style/softkey.css">
    <script defer="" src="shared/js/softkey_panel.js"></script>
    <script defer="" src="shared/js/softkey_panel_helper.js"></script>
    <!--<script defer src="shared/js/custom_dialog.js"></script>-->

    <!-- Navigation support -->
    <link rel="stylesheet" type="text/css" href="shared/style/navigation.css">
    <!--<script defer src="js/navigation_handler.js"></script>-->

    <link rel="stylesheet" type="text/css" href="shared/style/toaster.css">
    <!--<script defer src="shared/js/toaster.js"></script>-->

  <meta content="2.2" name="appVersion"></head>

  <body role="application" class="skin-comms theme-communications">
    <div class="statusbar-placeholder"></div>
    <article id="main-wrapper" class="wrapper" data-position="right">
      <section id="thread-list" class="panel default-panel" role="region">
        <!-- title-start and title-end indicates the button widths respectively
          at the start and end of the line -->
        <!-- see https://github.com/gaia-components/gaia-header/ for more information -->
        <!-- WARNING: the actual value depends on the actual CSS being used in gaia-header -->
        <gaia-header class="view-header regular-header" title-start="0" title-end="100">
          <h1 data-l10n-id="messages">Messages</h1>
        </gaia-header>

        <div id="cache-list">
          <article id="threads-container" class="view-body edit-container" data-type="list">
          </article>
        </div>

        <script src="js/startup.js"></script>

        <div id="threads-no-messages" class="hide">
          <div id="no-result-message" role="menuitem" tabindex="-1">
            <h2 data-l10n-id="noMessages-title">No messages</h2>
            <p data-l10n-id="noMessages-text">Press New to start communicating.</p>
          </div>
        </div>

        <form id="threads-edit-form" role="dialog" data-type="edit">
          <section role="region">
            <gaia-header id="threads-edit-header">
              <h1 id="threads-edit-mode" data-l10n-id="selectThreads-title">Select</h1>
              <button id="threads-check-uncheck-all-button" class="edit-button" data-l10n-id="select-all" hidden="">All</button>
            </gaia-header>
          </section>
        </form>
        <div id="sticky"></div>
      </section>

      <section id="thread-messages" class="panel editable-select-mode" role="region" aria-hidden="true">
        <gaia-header id="messages-header" class="view-header regular-header" no-font-fit="">
          <h1 id="messages-header-text" aria-hidden="true"></h1>
        </gaia-header>
        <div id="messages-subheader" class="subheader">
          <section id="messages-to-field">
            <section data-l10n-id="to" id="to-label">To</section>
            <!-- When overflow occurs in the recipients list, scrolling is
            commonly triggered automatically through focus and keyboard events.
            In these cases, white space described by CSS `padding-bottom` will
            not be automatically scrolled into view (because the element will
            only scroll far enough to bring the cursor into view). A container
            element is necessary to consistently render this vertical space
            (instead realized with CSS `margin-bottom`). -->
            <div id="messages-recipients-list-container" class="bb-editable" role="group" aria-labelledby="to-label">
              <section id="messages-recipients-list" class="multiline">
              </section>
            </div>
          </section>
          <section id="messages-recipient-suggestions" class="article-list hide" data-type="list">
            <ul class="contact-list recipient-suggestions-list" role="listbox"></ul>
          </section>
          <!-- Notifications in this container will be rendered on top of the
          Compose field. These notifications should be hidden automatically so
          they do not prevent the user from inputting text. -->
          <div class="overlay">
            <section id="messages-subject-max-length-notice" role="notification" class="hide">
              <p data-l10n-id="messages-max-subject-length-text">Maximum length of subject reached.</p>
            </section>
            <section id="messages-max-length-notice" role="notification" class="hide">
              <p></p>
            </section>
            <section id="messages-sms-counter-notice" role="notification" class="hide">
              <p></p>
            </section>
            <section id="messages-convert-notice" role="notification" class="hide">
              <p></p>
            </section>
            <section id="messages-resize-notice" role="notification" class="hide">
              <p data-l10n-id="resize-image">Resizing the attached image</p>
            </section>
            <section id="messages-new-message-notice" role="notification" class="hide">
              <div class="text-container">
                <div data-l10n-id="new-message-notice-text">New message from</div>
                <div class="contact">Contact</div>
              </div>
            </section>
          </div>
        </div>
        <article id="information-participants" class="view-body article-list hide" data-type="list">
          <ul class="contact-list"></ul>
        </article>
        <article id="information-report" class="view-body article-list report-view hide" tabindex="-1" data-type="list">
          <gaia-header id="messages-report-header" no-font-fit="">
            <h1 id="header-report-messages" data-l10n-id="messageReport-title">Message Details</h1>
          </gaia-header>
          <div class="description">
            <p class="type"></p>
            <p class="subject">
              <span data-l10n-id="message-subject">Subject:</span>
              <span class="detail"></span>
            </p>
            <p class="sent-block">
              <span class="sent-title"></span>
              <span class="sent-timestamp l10n-contains-date detail"></span>
              <span class="sent-failed-info detail hide" data-l10n-id="send-failed">Send failed.</span>
            </p>
            <p class="received-block">
              <span data-l10n-id="message-received">Received:</span>
              <span class="received-timestamp l10n-contains-date detail"></span>
            </p>
            <p class="size-block">
              <span data-l10n-id="message-size-was">Message size:</span>
              <span class="size detail"></span>
            </p>
            <p class="sim-info hide">
              <span data-l10n-id="message-via">Via:</span>
              <span class="sim-detail detail"></span>
            </p>
            <span class="contact-title p-pri"></span>
            <ul class="contact-list"></ul>
          </div>

        </article>
        <article id="composer-container" class="view-body">
          <div class="flex-composer">
            <div id="messages-container" data-type="list" class="article-list"></div>
            <form id="messages-compose-form" role="search" class="bottom" data-message-type="sms">
              <section class="mms-label-line">
                <section class="subject-composer js-subject-composer hide">
                  <label class="subject-composer-title p-thi" for="subject-composer-input" data-l10n-id="messagesSubjectInput_placeholder">Subject</label>
                  <input id="subject-composer-input" class="subject-composer-input" maxlength="40" role="textbox" type="text">
                </section>
              </section>
              <section class="message-type-line">
                <span class="mms-label p-thi" data-l10n-id="mms-label">MMS</span>
                <span class="sms-label p-thi"></span>
                <span id="letter-counter" class="letter-counter selector-counter"></span>
              </section>
              <section class="content-composer">
                <div class="messages-attach-container">
                </div>
                <div class="composer-message-input-container">
                  <div id="messages-input" name="message" x-inputmode="-moz-sms" class="js-l10n-placeholder navigable p-pri hide" role="textbox" aria-multiline="true" contenteditable="true">
                  </div>
                </div>
                <div class="composer-button-container hide">
                  <span class="message-counter js-message-counter"></span>
                  <button id="messages-send-button" class="icon" aria-label="Send" data-l10n-id="send-button" type="submit">
                    <div aria-label="using SIM {{ n }}" class="js-sim-indication sim-indication" data-l10n-id="send-button-sim-indication">{{ n }}</div>
                  </button>
                </div>
              </section>
            </form>
          </div>
        </article>
        <form role="dialog" id="messages-edit-form" data-type="edit">
          <section role="region">
            <gaia-header id="messages-edit-header" no-font-fit="">
              <h1 id="messages-edit-mode" data-l10n-id="selected-messages">selected-messages</h1>
              <button id="messages-check-uncheck-all-button" class="edit-button" data-l10n-id="select-all" hidden="">All</button>
            </gaia-header>
          </section>
        </form>

      </section>

      <!--messaging-settings-->
      <section id="messaging-settings" class="panel message-setting-panel settings" role="region" aria-hidden="true"></section>
      <section id="deliveryReportItem" role="region" class="panel settings" aria-hidden="true"></section>
      <section id="autoRetrieveMessageItem" role="region" class="panel settings" aria-hidden="true"></section>
      <section id="wapPushMessageItem" role="region" class="panel settings" aria-hidden="true"></section>
      <section id="smsEncodingMessageItem" role="region" class="panel settings" aria-hidden="true"></section>
      <section id="searchMessage" role="region" class="panel search" aria-hidden="true"></section>
    </article>

    <article id="loading">
      <form role="dialog" data-type="confirm" class="loading-container">
        <section>
          <p class="loading-header" data-l10n-id="deleting-messages">Deleting…</p>
          <div role="status">
            <progress class="small"></progress>
          </div>
        </section>
      </form>
    </article>

    <menu id="attachment-options-menu" tabindex="-1">
      <div>
        <form id="attachment-options" role="dialog" data-type="action">
          <header></header>
          <menu>
            <button id="attachment-options-view"></button>
            <button id="attachment-options-remove"></button>
            <button id="attachment-options-replace"></button>
            <button id="attachment-options-cancel" data-l10n-id="cancel">Cancel</button>
          </menu>
        </form>
      </div>
    </menu>

    <!--
      -  Templates
      -->

    <div id="contact-suggestion-tmpl" class="hide">
      <!--
      <li role="presentation">
        <a class="suggestion" role="option"
          data-number="${number}" data-source="contacts" data-name="${name}"
          data-type="${type}" data-carrier="${carrier}">
          ${photoHTML}
          <p class="name"><bdi class="ellipsis-dir-fix">${nameHTML}</bdi></p>
          <p class="number">${phoneDetailsHTML}</p>
        </a>
      </li>
      -->
    </div>

    <div id="messaging-settings-view-tmpl" class="hide">
      <!--
      <gaia-header no-font-fit>
        <h1 aria-hidden="true" data-l10n-id="messagingSettings-header"></h1>
      </gaia-header>
      <div id="messaging-settings-container" class="view-body">
        <header class="container-header p-sec">
          <span data-l10n-id="delivery-title">Text Messaging (SMS)</span>
        </header>
        <ul id="deliveryReport-message-list">
          <li id="deliveryReport-message-item" name="delivery-report-view" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span data-l10n-id="message-delivery-reports">Delivery reports</span>
              <small id="delivery-report-message-desc" name="ril.sms.requestStatusReport.enabled" class="menu-item-desc p-sec"></small>
            </a>
          </li>
        </ul>
        <header class="container-header p-sec">
          <span data-l10n-id="mmsTitle">Multimedia Messaging (MMS)</span>
        </header>
        <ul class="mmsSettings-list">
          <li id="autoRetrieve-message-item" name="auto-Retrieve-view" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri" data-l10n-id="auto-retrieve-messages">Auto retrieve messages</span>
              <small class="p-sec" id="auto-retrieve-message-desc" name="ril.mms.retrieval_mode"
                     class="menu-item-desc"></small>
            </a>
          </li>
        </ul>
        <header class="container-header p-sec">
          <span data-l10n-id="tcl-smsTitle">Text Messaging(SMS)</span>
        </header>
          <ul>
          <li id="sms-encoding-item" name="sms-encoding-view" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri" data-l10n-id="tcl-sms-encoding">Sms Encoding</span>
              <small class="p-sec" id="sms-encoding-desc" name="ril.sms.encoding_mode"
                     class="menu-item-desc"></small>
            </a>
          </li>
        </ul>
        <header class="container-header p-sec">
          <span data-l10n-id="tcl-wapPushMessages">WAP Push Messages</span>
        </header>
        <ul>
          <li id="wapPush-message-item-sim1" name="wap-push-view-sim1" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri"></span>
              <small class="p-sec" id="wapPush-message-desc-sim1" name="wap.push.enabled.sim1" class="menu-item-desc"></small>
            </a>
          </li>
          <li id="wapPush-message-item-sim2" name="wap-push-view-sim2" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri">WAP Push</span>
              <small class="p-sec" id="wapPush-message-desc-sim2" name="wap.push.enabled.sim2" class="menu-item-desc"></small>
            </a>
          </li>
        </ul>
        <header id="emergency-alert-header" class="container-header p-sec">
          <span data-l10n-id="emergency-alert-title">Emergency Alerts</span>
        </header>
        <ul role="menu">
          <li id="emergency-alert-item" role="menuitem" class="navigable">
            <a id="emergency-alert" class="menu-item" href="#emergency-alert">
              <span data-l10n-id="emergency-alert"></span>
            </a>
          </li>
        </ul>
      </div>
      -->
    </div>

    <div id="messaging-settings-view-tmpl-noMMS" class="hide">
      <!--
      <gaia-header no-font-fit>
        <h1 aria-hidden="true" data-l10n-id="messagingSettings-header"></h1>
      </gaia-header>
      <div id="messaging-settings-container" class="view-body">
        <header class="container-header p-sec">
          <span data-l10n-id="delivery-title">Text Messaging (SMS)</span>
        </header>
        <ul id="deliveryReport-message-list">
          <li id="deliveryReport-message-item" name="delivery-report-view" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span data-l10n-id="message-delivery-reports">Delivery reports</span>
              <small id="delivery-report-message-desc" name="ril.sms.requestStatusReport.enabled" class="menu-item-desc"></small>
            </a>
          </li>
        </ul>
        <header class="container-header p-sec">
          <span data-l10n-id="wapPushMessages">WAP Push Messages</span>
        </header>
        <ul>
          <li id="wapPush-message-item-sim1" name="wap-push-view-sim1" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri"></span>
              <small class="p-sec" id="wapPush-message-desc-sim1" name="wap.push.enabled.sim1" class="menu-item-desc"></small>
            </a>
          </li>
          <li id="wapPush-message-item-sim2" name="wap-push-view-sim2" aria-disabled="true" class="navigable">
            <a class="menu-item">
              <span class="p-pri">WAP Push</span>
              <small class="p-sec" id="wapPush-message-desc-sim2" name="wap.push.enabled.sim2" class="menu-item-desc"></small>
            </a>
          </li>
        </ul>
        <header id="emergency-alert-header" class="container-header p-sec">
          <span data-l10n-id="emergency-alert-title">Emergency Alerts</span>
        </header>
        <ul role="menu">
          <li id="emergency-alert-item" role="menuitem" class="navigable">
            <a id="emergency-alert" class="menu-item" href="#emergency-alert">
              <span data-l10n-id="emergency-alert"></span>
            </a>
          </li>
        </ul>
      </div>
      -->
    </div>

    <div id="deliveryReportItemViewTmpl" class="hide">
      <!--
      <gaia-header>
        <h1 data-l10n-id="message-delivery-reports-title">Delivery Reports</h1>
      </gaia-header>
      <div>
        <ul>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value="true" type="radio">
              <span data-l10n-id="switch-on">On</span>
            </label>
          </li>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value="false" type="radio">
              <span data-l10n-id="switch-off">Off</span>
            </label>
          </li>
        </ul>
      </div>
      -->
    </div>

    <div id="autoRetrieveMessageItemViewTmpl" class="hide">
      <!--
      <gaia-header>
        <h1 data-l10n-id="auto-retrieve-messages-title"></h1>
      </gaia-header>
      <div>
        <ul>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value=1 type="radio">
              <span data-l10n-id="tcl-auto-manual"></span>
            </label>
          </li>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value=0 type="radio">
              <span data-l10n-id="auto-no-roaming-retrieve"></span>
            </label>
          </li>
        </ul>
        <p data-l10n-id="tcl-auto-retrieve-desc" class="setting-confirm"></p>
      </div>
      -->
    </div>
    <div id="smsEncodingMessageItemViewTmpl" class="hide">

      <!--
      <gaia-header>
        <h1 data-l10n-id=tcl-sms-encoding-header></h1>
      </gaia-header>
      <selection>
        <ul>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value=0 type="radio">
              <span data-l10n-id="tcl-sms-reduced-foramt"></span>
            </label>
          </li>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value=1 type="radio">
              <span data-l10n-id="tcl-sms-full-foramt"></span>
            </label>
          </li>
        </ul>

      </selection>
      -->
    </div>

    <div id="wapPushMessageItemViewTmpl" class="hide">
      <!--
      <gaia-header>
        <h1></h1>
      </gaia-header>
      <div>
        <ul>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value="true" type="radio">
              <span data-l10n-id="switch-on">On</span>
            </label>
          </li>
          <li class="description navigable">
            <label class="pack-radio-large my_radio">
              <input name="delivery_switch" value="false" type="radio">
              <span data-l10n-id="switch-off">Off</span>
            </label>
          </li>
        </ul>
      </div>
      -->
    </div>

    <div id="searchMessageViewTmpl" class="hide">
      <!--
      <gaia-header no-font-fit>
        <h1 aria-hidden="true" data-l10n-id="search"></h1>
      </gaia-header>
      <div>
        <form id="messages-search-form" role="search" class="bottom">
          <input id="search-input" type="text" class="navigable">
        </form>
        <ul id="search-thread-list" class="search-body"></ul>
      </div>
      -->
    </div>

    <div id="contact-suggestion-unknown-tmpl" class="hide">
    <!--
    <li role="presentation">
      <a class="suggestion" role="option"
        data-number="${number}" data-source="contacts" data-name="${name}"
        data-type="${type}" data-carrier="${carrier}">
        ${photoHTML}
        <p class="name">${phoneDetailsHTML}</p>
        <p class="number">
          <span data-l10n-id="unknown-contact-title">Unknown Contact</span>
        </p>
     </a>
    </li>
    -->
    </div>

    <div id="contact-prompt-tmpl" class="hide">
      <!--
      <div class="contact-header">
        ${photoHTML}
        <p class="name"><bdi class="ellipsis-dir-fix">${name}</bdi></p>
        <p class="details" hidden>${phoneDetailsHTML}</p>
      </div>
      -->
    </div>

    <div id="contact-photo-tmpl" class="hide">
      <!--
      <aside role="img" data-l10n-id="contact-photo" aria-label="Contact photo" class="pack-end contact-photo">
        <span class="contact-photo" data-type="img"></span>
      </aside>
      -->
    </div>

    <div id="contact-highlight-tmpl" class="hide">
      <!--
      <span class="highlight">${str}</span>
      -->
    </div>

    <div id="messages-number-tmpl" class="hide">
      <!--
      <a class="suggestion" data-number="${number}" data-source="manual" data-name="${number}">
        <div class="name"><bdi class="ellipsis-dir-fix">${number}</bdi></div>
      </a>
      -->
    </div>

    <div id="information-report-tmpl" class="hide">
      <!--
      <span class="icon"></span>
      <span data-l10n-id="${titleL10n}"></span>
      <span class="timestamp l10n-contains-date"
            data-l10n-date="${timestamp}"
            data-l10n-date-format12="${messageL10nDateFormat12}"
            data-l10n-date-format24="${messageL10nDateFormat24}"
            >${reportDateL10n}</span>
      -->
    </div>

    <div id="messages-not-downloaded-tmpl" class="hide">
      <!--
      <span class="not-downloaded-message l10n-contains-date"
            data-l10n-id="${messageL10nId}"
            data-l10n-args="${messageL10nArgs}"
            data-l10n-date="${messageL10nDate}"
            data-l10n-date-format="${messageL10nDateFormat}"></span>
      <button type="button" class="download" data-l10n-id="${downloadL10nId}"></button>
      -->
    </div>

     <div id="messages-date-group-tmpl">
      <!--
      <div id="${id}" class="messages-date-group" data-timestamp="${timestamp}">
        <header
          class="messages-date-group-header"
          data-time-update="${headerTimeUpdate}"
          data-time="${headerTime}"
          data-date-only="${headerDateOnly}">
        </header>
        <ul class="message-list"></ul>
      </div>
      -->
    </div>

    <div id="messages-message-tmpl" class="hide">
      <!--
      <label class="pack-checkbox-large" aria-hidden="true">
        <input type="checkbox" value="${id}">
        <span></span>
      </label>
      <section class="bubble">
        <div class="message-content">
          <h1 class="message-subject">
            ${subject}
          </h1>
          <div class="message-content-body-container">
            <p class="message-content-body" tabindex="-1">${bodyHTML}</p>
            ${messageStatusHTML}
          </div>
          <div class="message-details p-thi">
            ${simInformationHTML}
            <span data-l10n-id="message-delivery-status-delivered" class="deliver-mark hide">Delivered</span>
            <time data-time-update="true" data-time="${timestamp}"></time>
          </div>
        </div>
      </section>
      -->
    </div>

    <div id="messages-message-sim-information-tmpl" class="hide">
      <!--
      <span class="message-sim-information"
        data-l10n-id="sim-id-label-ds"
        data-l10n-args="${simNumberL10nArgs}">
      </span>
      -->
    </div>

    <div id="messages-message-status-tmpl" class="hide">
      <!--
      <div class="message-status" data-l10n-id="${statusL10nId}"
           aria-label="Message status"
           role="status">
      </div>
      -->
    </div>

    <div id="messages-thread-tmpl" class="hide">
      <!--
      <label class="pack-checkbox-large negative">
        <input type="checkbox" value="${id}" data-mode="${mode}">
        <span></span>
      </label>
      <a href="${hash}">
        <aside role="note" data-l10n-id="${iconLabel}" class="icon icon-unread icon-draft"></aside>
      <div class="message-listContent">
        <p class="threadlist-item-title">
          <bdi class="ellipsis-dir-fix">${number}</bdi>
          <span role="note" data-l10n-id="${iconLabel}" class="icon icon-unread icon-draft"></span>
        </p>
        <p class="summary">
          <span class="mms-icon" data-l10n-id="mms-label">MMS</span>
          <span dir="auto" class="body-text ellipsis-dir-fix">${bodyHTML}</span>
        </p>
        <p class="summary">
          <time data-time-update="true" data-time-only="true" data-time="${timestamp}"></time>
        </p>
      </div>
      </a>
      -->
    </div>

    <div id="messages-recipient-tmpl" class="hide">
      <!--
      <div class="${className}" x-inputmode="verbatim"
        contenteditable="${editable}" role="${role}"
        data-number="${number}" data-source="${source}" data-name="${name}"
        data-carrier="${carrier}" data-type="${type}" dir="auto">${name}</div>
      -->
    </div>

    <div id="attachment-nopreview-tmpl" class="hide">
      <!--
      <div class="attachment ${errorClass}" data-attachment-type="${type}">
        <div class="thumbnail-placeholder ${type}-placeholder">
        </div>
        <div class="js-size-indicator size-indicator" data-l10n-id="${sizeL10nId}" data-l10n-args="${sizeL10nArgs}"></div>
      </div>
      <div class="file-name">${fileName}</div>
      -->
    </div>

    <div id="attachment-preview-tmpl" class="hide">
      <!--
      <div class="attachment">
        <div class="thumbnail"></div>
        <div class="js-size-indicator size-indicator" data-l10n-id="${sizeL10nId}" data-l10n-args="${sizeL10nArgs}"></div>
      </div>
      <div class="file-name" hidden>${fileName}</div>
      -->
    </div>

    <div id="attachment-draft-tmpl" class="hide">
      <!--
      <head>
        <meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1">
        <meta charset="utf-8">
        <base href="${baseURL}">
        <link rel="stylesheet" type="text/css" href="style/attachment_draft.css">
        <link rel="stylesheet" type="text/css" href="style/attachment.css">
      </head>
      <body class="attachment-draft ${cssClass}">${baseHTML}</body>
      -->
    </div>

    <!--
      Please, don't change template markup alignment, it's done this way to
      remove any whitespace symbols between inline elements.
    -->
    <div id="phone-details-tmpl" class="hide">
      <!--
      <span class="${hasTypeClass} ${hasCarrierClass}"><span
            dir="auto" class="phone-type"
            data-l10n-id="${type}">${type}</span><span
            class="phone-type-separator"
            data-l10n-id="phone-type-separator"></span><span
            class="phone-number" dir="ltr">${number}</span><span
            class="phone-carrier-separator"
            data-l10n-id="phone-carrier-separator"></span><span
            class="phone-carrier" dir="auto">${carrier}</span>
      </span>
      -->
    </div>

    <div id="messages-group-header-tmpl" class="hide">
      <!--
      <span class="group-header-title"><bdi class="ellipsis-dir-fix">${name}</bdi>&nbsp;<bdi dir="ltr">(+${participantCount})</bdi></span>
      -->
    </div>

    <div id="messages-header-tmpl" class="hide">
      <!--
      <bdi class="ellipsis-dir-fix">${name}</bdi>
      -->
    </div>

    <div id="file-large-confirmation-dialog" data-z-index-level="file-large-confirmation-dialog" style="z-index:1024;">
    </div>

  </body>

</html>
